Bug 5819 - [UPDATE REQUEST] drakx-kbd-mouse-x11 0.122-5: fixed typo in the desktop file, and other changes
: [UPDATE REQUEST] drakx-kbd-mouse-x11 0.122-5: fixed typo in the desktop file,...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-24 02:13 MSD by Andrey Ponomarenko
Modified: 2015-06-30 14:18 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (239.90 KB, image/png)
2015-06-28 20:31 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-06-24 02:13:14 MSD
Advisory: drakx-kbd-mouse-x11 package was updated to 0.122-3 version.

Changes since 0.122:

- Fixed typo in the desktop file

Build lists:

x86_64: https://abf.rosalinux.ru/build_lists/2513099
i586: https://abf.rosalinux.ru/build_lists/2513098
Comment 1 Andrey Ponomarenko 2015-06-24 02:53:05 MSD
Advisory: drakx-kbd-mouse-x11 package was updated to 0.122-4 version.

Changes since 0.122:

- Fixed typo in the desktop file
- Added keywords to desktop file

Build lists:

x86_64: https://abf.rosalinux.ru/build_lists/2513117
i586: https://abf.rosalinux.ru/build_lists/2513116
Comment 2 Vladimir Potapov 2015-06-25 13:12:39 MSD
The update is sent to expanded testing
**************************************
Comment 3 Konstantin Vlasov 2015-06-26 19:20:15 MSD
Additional change.
https://abf.rosalinux.ru/build_lists/2514139
https://abf.rosalinux.ru/build_lists/2514140

Advisory: drakx-kbd-mouse-x11 package was updated to 0.122-5 version.

Changes since 0.122:

- Fixed typo in the desktop file
- Added keywords to desktop file
- Changed default keyboard layout toggle shortcut from CapsLock to Alt+Shift

ISO images for testing: (being built at the moment):
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11870 (64)
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11871 (32)
Comment 4 Vladimir Potapov 2015-06-28 18:06:55 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=5847
Comment 5 Andrey Ponomarenko 2015-06-28 18:45:49 MSD
(In reply to comment #4)
> http://bugs.rosalinux.ru/show_bug.cgi?id=5847

The changes in this update request are not related to this bug.
Comment 6 Vladimir Potapov 2015-06-28 20:31:36 MSD
Created attachment 4143 [details]
ss

Key to layouts switch disable in live mode (and after install)
Comment 7 Konstantin Vlasov 2015-06-28 21:49:19 MSD
(In reply to comment #6)
> Key to layouts switch disable in live mode (and after install)

It was always like that.
The installer customizes shortcut for X and TTY, while your screenshot displays KDE settings.
Comment 8 Vladimir Potapov 2015-06-29 04:55:20 MSD
Не, это регрессия  - раньше если при загрузке указать клавиши переключения, то они подхватывались в лайве.
Но ошибка очень похожа на старую - на одном из моих компьютеров после установки такая ошибка воспроизводится. В настройках KDE кнопки указаны, но не очень правильно - "внутри" есть, а "снаружи" - нету. Достаточно войти в настройки (там уже все правильно указано) и нажать на OK как все исправляется.
Comment 9 Konstantin Vlasov 2015-06-29 15:32:50 MSD
(In reply to comment #8)
> Не, это регрессия  - раньше если при загрузке указать клавиши переключения,
> то они подхватывались в лайве.

Клавиши работали и работают. Но в KDE-настройках они не отображались. Вот я прямо сейчас загрузил в Live наш релизный образ R5, оставил дефолтный CapsLock, открыл настройки устройств ввода в KDE - картина в точности такая же, как на твоём скриншоте. Снова перезагрузился, на этот раз выбрал Ctrl+Shift, снова в лайве посмотрел настройки - по-прежнему, раскладки KDE не настроены. При этом само переключение по указанным сочетаниям работает корректно.

Если у тебя наблюдается другая картина, скажи хотя бы номер образа. Я сколько образов пробовал, до сих пор ни разу не видел, чтобы KDE-раскладки сами оказывались настроенными в Live или после установки.
Comment 10 Vladimir Potapov 2015-06-29 19:09:28 MSD
Проблема в том, что на одной из машин они не работают пока не появятся в настройках KDE. На остальных  - работают. Раньше только не-в-лайве (после установки) такое было (в любых образах), теперь на 586 образе и в лайве.
Comment 11 Vladimir Potapov 2015-06-29 19:10:37 MSD
Если войти "вовнутрь" настроек KDE то там все есть - можешь проверить, подхватывыается. Но на верхнем уровне не видно и на некоторых машинах это получается критично.
Comment 12 Konstantin Vlasov 2015-06-29 19:39:57 MSD
(In reply to comment #10)
> Проблема в том, что на одной из машин они не работают пока не появятся в
> настройках KDE. На остальных  - работают. Раньше только не-в-лайве (после
> установки) такое было (в любых образах), теперь на 586 образе и в лайве.

Давай так. Возьми следующие два образа:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11868
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11870
Второй образ отличаются от первого только Alt+Shift'ом по умолчанию (то есть, пакетом drakx-kbd-mouse-x11-0.122-5 вместо 0.122-2) и наличием значка инсталлятора на рабочем столе.

Сравни поведение этих двух образов. Если в первом работает корректно, а во втором - нет, то это регрессия.

Если окажется, что всё-таки регрессия, то прошу проверить и сравнить между собой четыре сценария:
1) загрузка с 11868, переключатель оставить дефолтный (CapsLock);
2) загрузка с 11868, при загрузке сменить переключатель на Alt+Shift;
3) загрузка с 11870, при загрузке сменить переключатель на CapsLock;
4) загрузка с 11870, переключатель оставить дефолтный (Alt+Shift).
А дальше будем гадать, откуда могли возникнуть различия из-за этого несчастного дефолтного значения.


(In reply to comment #11)
> Если войти "вовнутрь" настроек KDE то там все есть - можешь проверить,
> подхватывыается. Но на верхнем уровне не видно и на некоторых машинах это
> получается критично.

Я не понимаю, о каких верхних и "внутренних" уровнях ты говоришь. У элементов диалога есть свои стандартные названия: вкладки, чекбоксы, кнопки, списки; у пунктов есть тектстовые имена... Что ты открываешь и куда заходишь? Ты привёл конкретный скриншот. Что надо на нём сделать, чтобы увидеть эти "уровни"?

Если ты так хитро называешь заблокированные секции настроек, которые надо включить отметкой соответствующих галочек, то я с ними игрался, и тоже никакой разницы не обнаружил. Если я ставлю галочку "Настроить раскладки", то задизейбленный список под этой галочкой активируется и в нём появляются два языка - us, ru. Если я переключаюсь на вкладку "Дополнительно" и ставлю там галочку "Настроить дополнительные параметры клавиатуры", то в нижележащем списке (который был задизейбленным, а при включении галочки активируется) становятся отмеченными несколько галочек, одна из которых отвечает за переключение раскладок, и она сразу же в точности соответствует сочетанию, которое я выбрал при загрузке Live-системы. Выбрал капс - значит, там будет выбран капс. Выбрал Alt+Shift - будет Alt+Shift.

Это поведение, которое я сейчас расписал, проверялось мной на разных образах, как до моей правки, так и после, и всегда выглядело именно так. Единственное отклонение от описанной ситуации наблюдается, когда я при загрузке выбираю английскую раскладку, и, соответственно, никакого переключателя у меня просто не спрашивают.
Comment 13 Vladimir Potapov 2015-06-29 19:58:21 MSD
Насчет "уровней". На моем скриншоте выделена кнопка Основные [не определена]
Так вот - если ее нажать, то там все нормально, выбранная в инсталляторе клавиша присутствует. и если ОК-ейнуть её, все начинает работать.
Comment 14 Vladimir Potapov 2015-06-30 07:10:54 MSD
drakx-kbd-mouse-x11-0.122-5
https://abf.rosalinux.ru/build_lists/2514139
https://abf.rosalinux.ru/build_lists/2514140
************************* Advisory ****************************
drakx-kbd-mouse-x11 package was updated to 0.122-5 version.
- Fixed typo in the desktop file
- Added keywords to desktop file
- Changed default keyboard layout toggle shortcut from CapsLock to Alt+Shift
****************************************************************
QA Verified